<?php

$user_id = $_SESSION['username'];
	date_default_timezone_set('Africa/Gaborone');
	$entry_date = date("Y-m-d H:i:s"); 
	$read_date = date("Y-m-d");

$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, send_alert, send_email FROM $table_name WHERE alert_name = 'maintenance quoted'  ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
			
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
		
$table_name = $_SESSION['db_prefix']."_maintenance_quotations";
$project_query = "SELECT cust_id, project, project_no, project_place, value FROM $table_name WHERE quote_no = '".$quote_no."' ";
$project_result = mySQL_query($project_query);
$project_num = mysql_num_rows($project_result);
$cust_id = mysql_result($project_result, 0, "cust_id");
$project = mysql_result($project_result, 0, "project");
$project_no = mysql_result($project_result, 0, "project_no");	
$project_place = mysql_result($project_result, 0, "project_place");	
$value = mysql_result($project_result, 0, "value");			
			
		
		
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alert_message";
			$message_query = "INSERT INTO $table_name (user_name, department, generated, alert, detail_1, detail_2, detail_3 ) VALUES ('".$user_name."', 'maintenance', '".$entry_date."', '30', '".$quote_no."', '".$sales_rep."', '".$project."' ) ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$user_name."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
	$i++;	
	}



$table_name2 = $_SESSION['db_prefix']."_customer";
		$customer_query = "SELECT * FROM $table_name2 WHERE cust_id ='".$cust_id."' ";
		$customer_result = mySQL_query($customer_query);
		$customer_num = mysql_num_rows($customer_result);	
		$a1 = mysql_result($customer_result, 0, "account_type");
			if ($a1=="corporate") { 
				$cust_name = mysql_result($customer_result, 0, "comp_name"); 
			} 
			else {
				$cust_name = mysql_result($customer_result, 0, "title")." ".mysql_result($customer_result, 0, "name_2")." ".mysql_result($customer_result, 0, "comp_name");
 			}

	
		
if ($email_address!='') {			
			$subject = 'Alert from Manase Management Program';
			$message = '<body><font face=Calibri size=3>Maintenance quotation no M'.$quote_no.' for '.$project.' was accepted on '.date("d-m-Y, H:m", strtotime($entry_date )).' by '.$user_name.'.<br><br>Quote value: P '.number_format($value, 2, '.', ',').'<br><br>Customer: '.$cust_name.'<br>Project: &nbsp;&nbsp;&nbsp;&nbsp;'.$project_no.', '.$project_place.'</font><br><br>Please invoice this quotation<br><br>For more info, login at <a href=crmcustomized.manase.co.bw/login.php?e=>Manase Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>';
			include ('alert_to_email.php');
		}

?>